Bug 585177 - teTeX: dvihp script is missing required dvilj* binary
teTeX: dvihp script is missing required dvilj* binary
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tetex (Show other bugs)
3.9
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
BaseOS QE Security Team
http://www.ctan.org/tex-archive/dviwa...
:
Depends On:
Blocks: 585180 585183
  Show dependency treegraph
 
Reported: 2010-04-23 07:18 EDT by Jan Lieskovsky
Modified: 2013-07-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 585180 (view as bug list)
Environment:
Last Closed: 2011-02-18 04:15:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-04-23 07:18:36 EDT
Description of problem:
------------------------
The TeX's dviljk binary translates the given typesetter-independent .dvi (DeVice Independent) file -- DVIFILE to Hewlett-Packard Printer Command
Language (PCL) by calling dvicopy, and then dvilj* (dvilj4 by default).

But the required /usr/bin/dvilj4 binary is missing in tetex 
package, as shipped with Red Hat Enterprise Linux 3.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
tetex-1.0.7-67.11.*

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Try to translate some DVI file into Hewlett-Packard's PCL:
cp /usr/src/redhat/SOURCES/testpage.dvi /tmp/testpage.dvi
2. Run "dvihp" on it
  
Actual results:
---------------

dvihp -v -o testpage.pcl testpage.dvi 
Running dvicopy testpage.dvi >/tmp/dvihp.H15198/dvi15197.vf
This is DVIcopy, Version 1.5 (Web2C 7.3.1)
Copyright (C) 1990,95 Peter Breitenlohner
Distributed under terms of GNU General Public License
DVI file: ' TeX output 2001.02.06:2338',
   num=25400000, den=473628672, mag=1000.
DVI: font 12 = cmsy7.
DVI: font 10 = cmmi10.
DVI: font 7 = cmr10.
DVI: font 6 = cmr7.
DVI: processing page 1.
DVI: font 6 = cmr7.
TFM: font 3 = cmr7.
OUT: font 3 = cmr7.
DVI: font 7 = cmr10.
TFM: font 2 = cmr10.
OUT: font 2 = cmr10.
DVI: font 10 = cmmi10.
TFM: font 1 = cmmi10.
OUT: font 1 = cmmi10.
DVI: font 12 = cmsy7.
TFM: font 0 = cmsy7.
OUT: font 0 = cmsy7.
OUT file: 5928 bytes, 1 page written.
(No errors were found.)
-rw-r--r--    1 root     root         5928 Apr 23 07:15 /tmp/dvihp.H15198/dvi15197.vf
Running dvilj4  -v -etestpage.pcl /tmp/dvihp.H15198/dvi15197.vf 
/usr/bin/dvihp: line 1: dvilj4: command not found
/usr/bin/dvihp: dvilj4 failed.

Expected results:
-----------------
File testpage.pcl successfully generated.
Comment 1 Ondrej Vasik 2011-02-18 04:15:03 EST
This is not going to be fixed in RHEL-3, closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.